Print receipt
Print receipt
Required permissions: SALES_ORDER,RETURN_ORDER
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+receiptUidstringRequiredPattern:
Reference to a Receipt.
^[A-Za-z0-9-_]+Body
typestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| RECEIPT | Print sales receipt |
| EXCHANGENOTE | Print exchange note |
| GIFTCARD | Print giftcard barcode |
| PICKUP | Print a pickup label/note |
| SHORTAGENOTE | Print a missing items note (restlapp) |
| PICKNOTE | Print a pick note (plukkelapp) |
printerUidstringOptionalPattern:
The printer to send the print to
^[A-Za-z0-9-_]+orderItemUidsstring[]Optional
exchangenoteValidUntilstring · dateOptional
Only valid for type EXCHANGENOTE. Sets a date that the exchange note is valid until. If not set, exchangeNoteValidUntil is calculated from the store's exchangeNoteValidDays setting. Stored on all orderItemUids in request, usually only one item.
orderHandlingUidstringOptionalPattern:
Only valid for type PICKUP, SHORTAGENOTE and PICKNOTE. When set, only the name of this order handling is shown on the note. When omitted, all order handlings on the order are shown.
^[A-Za-z0-9-_]+Responses
204
No Content
No content
post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/print HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 127
{
"type": "RECEIPT",
"printerUid": "text",
"orderItemUids": [
"text"
],
"exchangenoteValidUntil": "2026-01-01",
"orderHandlingUid": "text"
}204
No Content
No content
Last updated
Was this helpful?

